Erreur Android Studio

a marqué ce sujet comme résolu.
Auteur du sujet

Bonjour, j’utilise Android Studio et depuis une MAJ, je recois ce message d’erreur gradle

1
2
3
4
5
Error:A problem occurred configuring project ':app'.
> Could not resolve all dependencies for configuration ':app:_debugApkCopy'.
   > Could not find com.android.support:design:22.0.0.
     Required by:
         project :app

Vraiment besoin de solution

+0 -0
Auteur du sujet

Mo problème est que j’ai été obligé de reinstaller mon ordinateur qui était sous windows 10 pour windows 7, après installation et configuration de java et android studio, j’ai voulu continuer des projets que j’avais commencer et sauvegarder, mais après ouverture du project, la synchronisation de Gradle ne marche pas, toujours des erreurs, et maintenant c’est ce message d’erreur que la console m’affiche si j’essaie de synchroniser. J’espère que c’est comprehensible ce que je dis.

+0 -0

Cette réponse a aidé l’auteur du sujet

C’est une erreur classique donc on pensais que tu avais trouvé la solution, visiblement pas.

Tu as bien suivi les instructions pour l’installation des librairies de support ?

Si encore oui, tu as installé le repository des libraries support dans ton sdk ? Tu devrais avoir quelque chose comme ça, dans ton sdk manager.

écran Android Studio

Si encore oui, tu as bien installé le bon SDK d’Android (22) et bien inférieur ou égal de ta propriété de ta targetSdkVersion dans le build.gradle ?

Si encore oui, tente d’installer les dernières version de l’api de librairie de support et de passer à la dernière version des targetSdkVersion.

Si tout ça passe pas, poste tes build.gradle.

Édité par Hugo

Développeur d’application Android - Clé PGP

+1 -0
Auteur du sujet

Oui dans mon sdk manager tout les libraries sont installés (capture d’écran)Librairies Pour mon sdk d’android (Api 22), je l’ai bien installé, et la targetSdkVersion dans le build.gradle est 22http://img-19.ccm2.net/IT5vypBNTeHun3UM9AM7f5cpfvQ=/7f7253665e92464abc65d8890307257b/ccm-ugc/Sans_titre_2.png

Édité par elhadjbah91

+0 -0

La version 22 de la librairie design, n’existe pas. Pour le prouver, tu peux temporairement utiliser la ligne compile 'com.android.support:design:22.+'. Tu aurais peut-être besoin de la librairie constraint-layout.

Tu fout quoi avec des versions de support librairie et de sdk qui date de plus de 2 ans ? et un buildToolsVersion version 26 ?

Édité par Hugo

Développeur d’application Android - Clé PGP

+0 -0
Auteur du sujet

Je vais mettre la version de support librairie à 25.3.1 et le compilesdkVersion à 25 et voici le nouveau message d’erreur

1
2
Error:Failed to find target with hash string 'android-25' in: C:\Users\THIERNO\AppData\Local\Android\Sdk
<a href="install.android.platform">Install missing platform(s) and sync project</a>
+0 -0

Si tu veux mettre les dernières version du sdk android (compilesdkVersion à 25), il te faut installer la version 25 depuis ton Android SDK manager ou d’Android Studio.

Avant de tout mettre à jours, tu as essayer d’utiliser la ligne compile 'com.android.support:design:22.+'et compile 'com.android.support.constraint:constraint-layout:1.0.2'?

Édité par Hugo

Développeur d’application Android - Clé PGP

+0 -0
Auteur du sujet

J’ai déjà commencé d’installer les build tools et sdk 25.0.1 je vais attendre cela pour voir après je reviens. Après installation, il ne trouve pas encore ce library Error:(34, 13) Failed to resolve: com.android.support:appcompat-v7:25.30.1

Édité par elhadjbah91

+0 -0

J’avais eu un truc similaire, j’avais supprimé .gradle qui était dans mon dossier perso. Puis dans Android Studio -> File -> invalidate cache / restart -> invalidate cache / restart

Développeur d’application Android - Clé PGP

+0 -0

Offline mode, c’est quand tu as pas accès à internet donc si tu as un internet stable, non.

Le dossier .gradle du project ou celui dans C/USER/username?

Celui dans C/USER/username

Développeur d’application Android - Clé PGP

+0 -0
Vous devez être connecté pour pouvoir poster un message.
Connexion

Pas encore inscrit ?

Créez un compte en une minute pour profiter pleinement de toutes les fonctionnalités de Zeste de Savoir. Ici, tout est gratuit et sans publicité.
Créer un compte